%global module_name toplevelview
%global icingaweb_min_version 2.6.0
%global basedir %{_datadir}/icingaweb2/modules/%{module_name}
Name:           icingaweb2-module-%{module_name}
Version:        0.4.0
Release:        1%{?dist}
Summary:        TopLevelView is a drill down view into your Icinga environment
Group:          Applications/System
License:        GPLv2+
URL:            https://icinga.com
Source0:        https://github.com/Icinga/icingaweb2-module-%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
Requires:       icingaweb2 >= %{icingaweb_min_version}
Requires:       php-Icinga >= %{icingaweb_min_version}
Requires:       openssl


%description
The Cube is a tiny but useful Icinga Web 2 module. It currently shows host
statistics (total count, health) grouped by various custom variables
in multiple dimensions.


%prep
%setup -q -n %{name}-%{version}


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{basedir}
cp -r * %{buildroot}%{basedir}


%clean
rm -rf %{buildroot}


%files
%doc README.md
%defattr(-,root,root)
%{basedir}


%changelog
